PGPAINLESS-CLI-ENCRYPT(1)

NAME
pgpainless-cli-encrypt - Encrypt a message from standard input

SYNOPSIS

pgpainless-cli encrypt [--[no-]armor] [--stacktrace] [--as={binary|text}] [--profile=PROFILE] [--sign-with=KEY]... [--with-key-password=PASSWORD]... [--with-password=PASSWORD]... [CERTS...]

DESCRIPTION

OPTIONS

--as={binary|text}
    Type of the input data. Defaults to 'binary'

--[no-]armor
    ASCII armor the output

--profile=PROFILE
    Profile identifier to switch between profiles

--sign-with=KEY
    Sign the output with a private key

--stacktrace
    Print stacktrace

--with-key-password=PASSWORD
    Passphrase to unlock the secret key(s).

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

--with-password=PASSWORD
    Encrypt the message with a password.

    Is an INDIRECT data type (e.g. file, environment variable, file descriptor...).

ARGUMENTS

[CERTS...]
    Certificates the message gets encrypted to